{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% load bootstrap_pagination %}
{% load thumbnail %}

{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/sweetalert/sweetalert.css' %}">
<link rel="stylesheet" href="{% static 'css/jquery.typeahead.css' %}">


{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-md-12">
        <h2>{% trans "Estudiantes" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
     
            <li class="active">
                <strong>{% trans "Estudiante" %}</strong>
            </li>
        </ol>
    </div>

</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="ibox float-e-margins">

            <div class="ibox-content">
            <div class="row">
                <div class="col-md-10">
                    <h2>{% trans "Estudiante"%}</h2>
                </div>
                <div class="col-md-2">
                    <a href="{% url 'student_add' %}" class="btn btn-primary btn-lg pull-right"><span class="glyphicon glyphicon-plus"></span> {% trans "Agregar" %}</a>
                </div>
            </div>

            

<!--             <div class="input-group">
                <input type="text" placeholder="{% trans 'Buscar Estudiante' %}" class="input form-control">
                <span class="input-group-btn">
                        <button type="button" class="btn btn btn-info"> 
                        <i class="fa fa-search"></i> Buscar</button>
                </span>
            </div>
 -->

            <div class="input-group">

               <form>
                   <div class="typeahead__container">
                       <div class="typeahead__field">

                       <span class="typeahead__query">
                          <div class="input-group" style="width: 97.6%">
                                   <input type="search" placeholder="{% trans 'Buscar Estudiante' %}" class="input form-control js-typeahead-input" name="q" autofocus autocomplete="off">
                                   <span class="input-group-btn">
                                           <button type="button" class="btn btn btn-info"> 
                                           <i class="fa fa-search"></i> Buscar</button>
                                   </span>
                           </div>
                           <!-- <span class="pull-right"><a href="">{% trans "Búsqueda avanzada"%}</a></span> -->
                       </span>

                       </div>
                   </div>
               </form>

            </div>


            {% if messages %}
                {% for message in messages %}
                    <div {% if message.tags %} class="alert alert-{{ message.tags }} alert-dismissable" {% endif %}>
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}


            <div class="clients-list">
            <div class="tab-content">                    
                <div class="full-height-scroll">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>                                         
                                    <th>{% trans "Avatar"%}</th>
                                    <th>{% trans "Nombre"%}</th>
                                    <th>{% trans "Proyecto Actual" %}</th>
                                    <th>{% trans "Estado"%}</th>
                                    <th>{% trans "Información adicional" %}</th>
                                    <th>{% trans "Acciones" %}</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for student in object_list %}
                            <tr>
                                <td class="client-avatar"><a href="{% url 'student_view' student.pk %}"><img alt="image" src="/media/{{student.avatar}}"></a></td>
                                <td><a href="{% url 'student_view' student.pk %}" class="client-link">{{student.user.first_name}} {{student.user.last_name}}</a></td>                                        
                                <td class="col-md-2"><small>{{student.project.name}}</small></td>
                                <td class="client-status"><span class="label label-primary">{{student.user.is_active|set_status_icon}}</span></td>
                                <td class="col-md-3 project-completion">
                                    {% for pr in student.personal_record.academic_record.all%}
                                        <small>{% trans "Programa:" %} {{pr.carreer_code.shift}}</small>
                                    {% endfor %}
                                    <br>
                                    {% for pr in student.personal_record.course.all%}
                                        <small>{% trans "Asignatura:" %} {{pr.name}}</small>
                                    {% endfor %}
                                    <br>
                                    <small>{% trans "Profesor guía:" %} {{student.project.guide_teacher}}</small>
                                    <br>
                                    <small>{% trans "Email:" %} {{student.user.email}}</small>
                                </td>
                                <td class="col-md-3 project-actions " style="text-align:left">
                                    <a href="{% url 'student_view' student.pk %}" class="btn btn-info btn-sm"><i class="fa fa-info-circle"></i> {% trans "Ver" %} </a>   
                                    <a class="delete btn btn-danger btn-sm" href="{% url 'student_delete' student.pk %}" data-fullname="{{student.user.first_name}} {{student.user.last_name}}"><i class="fa fa-trash"></i> {% trans "Borrar" %} </a> 
                                </td>
                            </tr>
                            {% endfor %}
                            
                           
                            </tbody>
                        </table>

                    </div><!-- end table responsive -->
                    <div class="pull-right">
                        {% bootstrap_paginate object_list range=10 show_prev_next="false" show_first_last="true" %}
                    </div>  
                </div>

            </div><!-- tab-content -->
            </div><!-- cliuents list -->

        </div><!-- ibox content -->
    </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'js/plugins/dataTables/datatables.min.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>
<script src="{% static 'js/jquery.typeahead.js' %}"></script>
<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){

        $('.delete').click(function (event){
            event.preventDefault();         
            var url_delete = $(this).attr('href');
            swal({
                title: "¿Está seguro que desea eliminar a " + $(this).data('fullname') + "?",
                text: "No podrá volver atrás",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Sí, deseo eliminarlo",
                closeOnConfirm: false
            }, function () {
                swal("Eliminado!", "Estudiante eliminado.", "success");
                window.location.href = url_delete;
            });
        });


        $.typeahead({
            input: '.js-typeahead-input',
            minLength: 0,
            order: "asc",
            dynamic: true,
            delay: 500,
            // backdrop: {
            //     "background-color": "#fff"
            // },
            template: function (query, item) {

                var color = "#777";

                // html = '';
                // html += '<div class="row">';
                // html += '   <div class="col-md-12">';
                // html += '       <img src="\{\{avatar\}\}" class="img-responsive img-thumbnail pull-left avatar">';
                // html += '       <span><i class="fa fa-user"></i> \{\{first_name\}\} \{\{last_name\}\} </span>';
                // html += '       <br>';
                // html += '       <span><i class="fa fa-envelope"> </i> \{\{email\}\}</span>';
                // html += '       <br>';
                // html += '       <span><i class="fa fa-id-card"> </i> \{\{rut\}\}</span>';
                // html += '   </div>';
                // html += '</div>';
                
                html = '';
                html += '<div class="row">';
                html += '   <div class="col-md-12">';
                html += '       <img src="\{\{avatar\}\}" class="img-responsive img-thumbnail pull-left avatar">';
                html += '       <span>\{\{first_name\}\} \{\{last_name\}\} </span>';
                html += '       <br>';
                html += '       <span>\{\{email\}\}</span>';
                html += '       <br>';
                html += '       <span>\{\{rut\}\}</span>';
                html += '   </div>';
                html += '</div>';

                return html ;
            },
            emptyTemplate: "Sin resultados para \{\{query\}\}",
            source: {
                students: {
                    display: ["first_name","last_name","rut","email"],
                    href: "/dashboard/student/view/\{\{student_id\}\}",
                    data: [],
                    ajax: function (query) {
                        return {
                           type: "GET",
                           url: "{% url 'student_api_search' %}",
                           path: "data.students",
                           data: {
                               q: "\{\{query\}\}"
                           },
                           callback: {
                               done: function (data) {
                                   return data;
                               }
                           }
                       }
                   }

                },
            },
            // callback: {
            //     onClick: function (node, a, item, event) {

            //         // You can do a simple window.location of the item.href
            //         // alert(JSON.stringify(item));

            //     },
            //     onSendRequest: function (node, query) {
            //         console.log('request is sent 1')
            //     },
            //     onReceiveRequest: function (node, query) {
            //         console.log('request is received 2')
            //     }
            // },
            debug: false
        });

    });
</script>

{% endblock javascript %}
